Debian Bug report logs - #425570
manpages-dev: Self-referencing symlink /usr/share/man/man2/epoll_pwait.2.gz

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Michael Berg <michaeljberg@gmail.com>

Date: Tue, 22 May 2007 14:42:05 UTC

Severity: normal

Tags: fixed-upstream, upstream

Merged with 426080, 427419, 428115

Found in versions manpages/2.49-1, manpages/2.50-1, manpages/2.52-1, manpages/2.53-1

Fixed in version manpages/2.54-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#425570; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Berg <michaeljberg@gmail.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Berg <michaeljberg@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Self-referencing symlink /usr/share/man/man2/epoll_pwait.2.gz
Date: Tue, 22 May 2007 08:41:12 -0600
Package: manpages-dev
Version: 2.49-1
Severity: normal

/usr/share/man/man2/epoll_pwait.2.gz is a self-referencing symlink:

$ ls -l /usr/share/man/man2/epoll_pwait.2.gz
lrwxrwxrwx 1 root root 16 2007-05-22 08:33 /usr/share/man/man2/epoll_pwait.2.gz -> epoll_pwait.2.gz

$ realpath /usr/share/man/man2/epoll_pwait.2.gz
/usr/share/man/man2/epoll_pwait.2.gz: Too many levels of symbolic links

I believe that epoll_pwait.2.gz is suppose to be a symlink to epoll_wait.2.gz


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21.1-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      2.49-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#425570; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 425570@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Michael Berg <michaeljberg@gmail.com>, 425570@bugs.debian.org
Subject: Re: Bug#425570: manpages-dev: Self-referencing symlink /usr/share/man/man2/epoll_pwait.2.gz
Date: Tue, 22 May 2007 20:24:48 +0200
tags 425570 fixed-upstream
thanks

Thanks Michael!  Fixed for upstream 2.54.

Michael Berg wrote:
> Package: manpages-dev
> Version: 2.49-1
> Severity: normal
> 
> /usr/share/man/man2/epoll_pwait.2.gz is a self-referencing symlink:
> 
> $ ls -l /usr/share/man/man2/epoll_pwait.2.gz
> lrwxrwxrwx 1 root root 16 2007-05-22 08:33 /usr/share/man/man2/epoll_pwait.2.gz -> epoll_pwait.2.gz
> 
> $ realpath /usr/share/man/man2/epoll_pwait.2.gz
> /usr/share/man/man2/epoll_pwait.2.gz: Too many levels of symbolic links
> 
> I believe that epoll_pwait.2.gz is suppose to be a symlink to epoll_wait.2.gz
> 
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (990, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.21.1-amd64 (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages manpages-dev depends on:
> ii  manpages                      2.49-1     Manual pages about using a GNU/Lin
> 
> manpages-dev recommends no packages.
> 
> -- no debconf information
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#425570; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 425570@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Michael Berg <michaeljberg@gmail.com>, 425570@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#425570: manpages-dev: Self-referencing symlink /usr/share/man/man2/epoll_pwait.2.gz
Date: Sat, 26 May 2007 09:36:31 +0200
tags 425570 fixed-upstream
merge 425570 426080
thanks

On 2007-05-22 20:24:48 +0200, Michael Kerrisk wrote:
> tags 425570 fixed-upstream
> thanks

This didn't work. You probably forgot to Cc to control.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)



Tags added: fixed-upstream Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Sat, 26 May 2007 07:39:03 GMT) Full text and rfc822 format available.

Merged 425570 426080. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Sat, 26 May 2007 07:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#425570; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #24 received at 425570@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: Michael Berg <michaeljberg@gmail.com>, 425570@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#425570: manpages-dev: Self-referencing symlink /usr/share/man/man2/epoll_pwait.2.gz
Date: Tue, 29 May 2007 08:48:48 +0200
tags 425570 fixed-upstream
thanks




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Tue, 29 May 2007 06:54:19 GMT) Full text and rfc822 format available.

Forcibly Merged 425570 426080 427419. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. (Tue, 05 Jun 2007 13:27:18 GMT) Full text and rfc822 format available.

Forcibly Merged 425570 426080 427419 428115. Request was from "Pryzby, Justin" <justin.pryzby@quoininc.com> to control@bugs.debian.org. (Sun, 10 Jun 2007 15:57:02 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from "Pryzby, Justin" <justin.pryzby@quoininc.com> to control@bugs.debian.org. (Sun, 10 Jun 2007 15:57:09 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.52-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 19 Jun 2007 09:51:53 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.53-1. Request was from "Phil Miller" <bugs-debian@millenix.mailshell.com> to control@bugs.debian.org. (Fri, 22 Jun 2007 14:57:03 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Berg <michaeljberg@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 425570-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 425570-close@bugs.debian.org
Subject: Bug#425570: fixed in manpages 2.54-1
Date: Sat, 23 Jun 2007 09:02:04 +0000
Source: manpages
Source-Version: 2.54-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.54-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.54-1_all.deb
manpages_2.54-1.diff.gz
  to pool/main/m/manpages/manpages_2.54-1.diff.gz
manpages_2.54-1.dsc
  to pool/main/m/manpages/manpages_2.54-1.dsc
manpages_2.54-1_all.deb
  to pool/main/m/manpages/manpages_2.54-1_all.deb
manpages_2.54.orig.tar.gz
  to pool/main/m/manpages/manpages_2.54.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 425570@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 23 Jun 2007 10:15:33 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.54-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 425570
Changes: 
 manpages (2.54-1) unstable; urgency=low
 .
   * New upstream version
     . Fix broken link path in epoll_pwait(2) (closes: Bug#425570)
   * Removed section 9 from installation routine since the one and only
     page has been removed as it was outdated
Files: 
 0c0de91681b4d2186c33a73586a2696a 584 doc important manpages_2.54-1.dsc
 a3d542cdbbb3d405e5e34ef2fd3cbd16 1191504 doc important manpages_2.54.orig.tar.gz
 49c6ee7058742f7d59bdea4317941ed0 46573 doc important manpages_2.54-1.diff.gz
 6ac74aa2536ef8101ae8014255a19640 504992 doc important manpages_2.54-1_all.deb
 ec3854e2c2cc15df47251929c57ebf85 1241110 doc optional manpages-dev_2.54-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGfNhFW5ql+IAeqTIRAk0TAKCv2GlWrfoGd/uipFSN/XrSA1OpcQCgjgtZ
EasSLIHLQFIjXxeaAw4JbyM=
=fjoo
-----END PGP SIGNATURE-----




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <bugreports@nn7.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Christoph Pfister" <christophpfister@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2007 07:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:36:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.